<?php
// $Id: user-profile-category.tpl.php,v 1.2 2010/02/17 21:13:23 dvessel Exp $
/**
 * @file user-profile-category.tpl.php
 * Default theme implementation to present profile categories (groups of
 * profile items).
 *
 * Categories are defined when configuring user profile fields for the site.
 * It can also be defined by modules. All profile items for a category will be
 * output through the $profile_items variable.
 *
 * @see user-profile-item.tpl.php
 *      where each profile item is rendered. It is implemented as a definition
 *      list by default.
 * @see user-profile.tpl.php
 *      where all items and categories are collected and printed out.
 *
 * Available variables:
 * - $title: Category title for the group of items.
 * - $profile_items: All the items for the group rendered through
 *   user-profile-item.tpl.php.
 * - $attributes: HTML attributes. Usually renders classes.
 *
 * @see template_preprocess_user_profile_category()
 */
?>
<div<?php print_select($html_elements, '#attributes') ?>>
  <?php if ($title) : ?>
    <?php print_select($html_elements, 'category_title#element_open') ?>
      <?php print $title; ?>
    <?php print_select($html_elements, 'category_title#element_close') ?>
  <?php endif; ?>

  <?php print_select($html_elements, 'category_items#element_open') ?>
    <?php print $profile_items; ?>
  <?php print_select($html_elements, 'category_items#element_close') ?>
</div>
